Limerence
External identity

Update Identity Provider

Update a registered external identity provider

PATCH
/identity-providers/{providerId}

Update a registered external identity provider

Authorization

X-API-Key<token>

Use X-API-Key: .

In: header

Path Parameters

providerId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/identity-providers/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "audience": "string",  "createdAt": "string",  "id": "string",  "issuer": "string",  "jwksUrl": "string",  "organizationId": "string",  "teamId": "string",  "updatedAt": "string"}
{  "cause": {    "code": "api/invalid-json",    "detail": "string"  },  "message": "The request body is not valid JSON"}
{  "cause": {    "code": "auth/jwt-invalid",    "detail": "malformed"  },  "message": "Token verification failed"}
{  "cause": {    "code": "api/no-active-team",    "detail": "You must have an active team. Please select a team to continue."  },  "message": "No active team"}
{  "cause": {    "code": "external-identity/not-found",    "detail": "The requested identity provider does not exist."  },  "message": "Identity provider not found"}
{  "cause": {    "code": "api/unsupported-media-type",    "detail": "GET requests cannot have a content type header"  },  "message": "Unsupported Media Type"}